push-target: {% if cookiecutter.project_push_target != "The URL of the project in AskAnna" %}{{ cookiecutter.project_push_target }}{% endif %}
environment:
  image: askanna/python:3.10

compare-multiple-models:
  job:
    - pip install -r requirements.txt
    - python demo-multiple-models.py
  output:
    result: output/benchmark_models_performance.png
    artifact:
      - output/

run-jupyter-notebook:
  job:
    - pip install jupyter
    - ipython kernel install --name python3
    - jupyter nbconvert --to notebook --output output/demo-multiple-models.ipynb --execute demo-multiple-models.ipynb --ExecutePreprocessor.kernel_name=python3
  output:
    result: output/benchmark_models_performance.png
    artifact:
      - output/
